# Pickaxe [![Maintainability](https://api.codeclimate.com/v1/badges/519170b38eac007088e1/maintainability)](https://codeclimate.com/github/ismailarilik/pickaxe/maintainability)

An editor written with Ruby/GTK

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'pickaxe'
```

And then execute:

```sh
bundle install
```

Or install it yourself as:

```sh
gem install pickaxe
```

## Usage

Execute:

```sh
pickaxe
```

## Development

After checking out the repo, run `bin/setup` to install dependencies.
Then, run `bundle exec rake lint` to run the static code analysis.
After then, run `bundle exec rake spec` to run the tests.
You can also run `bundle exec rake` to run both.

Put your Ruby code in the file `lib/pickaxe`.
To experiment with that code, run `bin/console` for an interactive prompt.

To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at [https://github.com/ismailarilik/pickaxe](https://github.com/ismailarilik/pickaxe).
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/ismailarilik/pickaxe/blob/master/CODE_OF_CONDUCT.md).

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

The pickaxe icon made by [Smashicons](https://www.flaticon.com/authors/smashicons) from [www.flaticon.com](https://www.flaticon.com/).

## Code of Conduct

Everyone interacting in the Pickaxe project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/ismailarilik/pickaxe/blob/master/CODE_OF_CONDUCT.md).
